From 25ce610f6ecca7325e7a743dc032c4a76559c63d Mon Sep 17 00:00:00 2001
From: liuyg <376836862@qq.com>
Date: Fri, 02 Jul 2021 09:10:26 +0800
Subject: [PATCH] Merge branch 'master' of http://192.168.0.105:10010/r/pyhmap

---
 widgets/legends/css/style.css |  114 ++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 68 insertions(+), 46 deletions(-)

diff --git a/widgets/legends/css/style.css b/widgets/legends/css/style.css
index 36e2c7d..522be68 100644
--- a/widgets/legends/css/style.css
+++ b/widgets/legends/css/style.css
@@ -1,30 +1,30 @@
 .jimu-widget-legends {
-  position: absolute !important;
-  font-size: 14px;
-  max-height: 330px !important;
-  line-height: 32px;
-  width: 300px !important;
-  right: 60px !important;
-  bottom: 38px !important;
-  left: auto !important;
-  top: auto !important;
-  /* 240px */
-  background: rgba(0, 0, 0, 0.5);
-  color: #fff;
-  /* border-right : 1px solid rgba(0, 0, 0, 0.3); */
-  border-radius: 6px 6px 6px 6px;
-  /* text-align   : center; */
-  /* cursor       : pointer; */
-  z-index: 15 !important;
-  box-sizing: border-box;
-  padding: 0 6px 0 6px!important;
-  /* overflow: auto; */
-  transition: all 0.5s;
+    position: absolute !important;
+    font-size: 14px;
+    max-height: 330px !important;
+    line-height: 32px;
+    width: 300px !important;
+    right: 60px !important;
+    bottom: 38px !important;
+    left: auto !important;
+    top: auto !important;
+    /* 240px */
+    background: rgba(0, 0, 0, 0.5);
+    color: #fff;
+    /* border-right : 1px solid rgba(0, 0, 0, 0.3); */
+    border-radius: 8px;
+    /* text-align   : center; */
+    /* cursor       : pointer; */
+    z-index: 15 !important;
+    box-sizing: border-box;
+    padding: 0 8px 8px 8px !important;
+    /* overflow: auto; */
+    transition: all 0.5s;
 }
 
 .jimu-widget-legends .title {
-  /* margin: 10px 0 7px 0; */
-  font-size: 18px;
+    /* margin: 10px 0 7px 0; */
+    font-size: 18px;
 }
 
 .jimu-widget-legends .main {
@@ -34,43 +34,65 @@
 }
 
 .jimu-widget-legends .main .m-init {
-  width: 100%;
-  /* height: 1.5rem; */
-  /* border: 1px solid springgreen; */
-  flex-direction: row;
-  display: flex;
-  align-items: center;
-  font-size: 15px;
+    width: 100%;
+    /* height: 1.5rem; */
+    /* border: 1px solid springgreen; */
+    flex-direction: row;
+    display: flex;
+    align-items: center;
+    font-size: 15px;
 }
 
 .jimu-widget-legends .main .m-i-child {
-  width: 83%;
-  display: block;
-  position: relative;
-  left: 16%;
+    width: 83%;
+    display: block;
+    position: relative;
+    left: 16%;
 }
 
 .jimu-widget-legends .main .m-init i {
-  display: inline-block;
-  font-style: normal;
+    display: inline-block;
+    font-style: normal;
 }
 
 .jimu-widget-legends .main .m-init-h {
-  display: inline-block;
-  width: 20px;
-  /* height: 0.6rem; */
-  /* border: 1px solid springgreen; */
-  background-size: 100%;
-  margin-right: 15px !important;
+    display: inline-block;
+    width: 20px;
+    /* height: 0.6rem; */
+    /* border: 1px solid springgreen; */
+    background-size: 100%;
+    margin-right: 15px !important;
 }
 
 .jimu-widget-legends .main .m-init img {
-  width: 24px;
-  margin-right: 5px !important;
-  /* position: relative;
+    width: 24px;
+    margin-right: 5px !important;
+    /* position: relative;
   top: -5.5px; */
 }
 
 .jimu-widget-legends .main .m-i-child i:nth-child(1) {
-  /* margin-right: 30px !important; */
+    /* margin-right: 30px !important; */
+}
+
+.jimu-widget-legends .layer-legends li {
+    height: 36px;
+    line-height: 36px;
+}
+
+.jimu-widget-legends .layer-legends li .m-init-h {
+    width: auto;
+    margin-right: 10px !important;
+}
+
+.jimu-widget-legends .layer-legends li .m-init-h img {
+    width: auto;
+    height: 28px;
+    margin: 0 !important;
+}
+
+.jimu-widget-legends .layer-legends li span {
+    overflow: hidden;
+    text-overflow: ellipsis;
+    white-space: nowrap;
 }
\ No newline at end of file

--
Gitblit v1.9.3